Zum Inhalt springen
AchaduDevelopers
Developers/API/journey_update
Reisen

Reise aktualisieren

Aktualisiert die Diagramm- und Reiseregeln.

PATCH/journeys/{id}journeys:write

Anfrage

idstring · pathRessourcenbezeichner.obligatorisch
namestring · bodyReisename.optional
descriptionstring · bodyZiel der Reise.optional
triggerstring · bodyErster Auslöser.optional
blocksarray · bodyDurchflussblockaden.optional
channelsarray · bodyZulässige Kanäle.optional
segment_idstring · bodyBerechtigtes Segment.optional
activeboolean · bodyAktivieren Sie die Reise.optional

Beispiel

curl
curl -X PATCH 'https://achadu.com/api/v1/journeys/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "description": "string",
  "trigger": "string"
}'

Antwort

200Vorgang abgeschlossen
4xxFehler mit Code, Nachricht und request_id